package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ServiceFileDirEnum {
    //0 banner 1 动态新闻 2活动 3专项资金 4政策导航 5 其他
    SERVICE_FILE_DIR_PUBLIC_BANNER(0, "banner"),
    //信息发布文件
    SERVICE_FILE_DIR_PUBLIC_DYNAMIC(1, "dynamic"),
    //活动发布图片
    SERVICE_FILE_DIR_PUBLIC_ACTIVITY(2, "activity"),
    //专项资金
    SERVICE_FILE_DIR_SUPPORT(3, "support"),
    //政策导航
    SERVICE_FILE_DIR_POLICY(4, "policy "),
    //其他
    SERVICE_FILE_DIR_OTHER(5, "other");

    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (ServiceFileDirEnum boundTypeEnum : ServiceFileDirEnum.values()) {
            if (boundTypeEnum.code == code) {
                return boundTypeEnum.name;
            }
        }
        return null;
    }
}
